﻿using AutoMapper;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Txgy.RBS.DbModel.Models;
using Txgy.RBS.Framework.Api;
using Txgy.RBS.IServices;

namespace Txgy.RBS.Services
{
    public class StationsService : BaseService, IStationsService
    {
        private readonly IMapper _iMapper;

        public StationsService(ISqlSugarClient client, IMapper iMapper) : base(client)
        {
            this._iMapper = iMapper;
        }

        public ApiResult AddStations(StationsDTO  stationsDTO)
        {
            int res = 0;
            stations station = _iMapper.Map<stations>(stationsDTO);

            res = _Client.Insertable(station).ExecuteCommand();
            if (res > 0)
            {
                return new ApiResult();
            }
            return new ApiResult() { Message = "添加失败" };
        }

        public ApiResult DeleteStations(int id)
        {
           int res= _Client.Deleteable<stations>(p=>p.id==id).ExecuteCommand();
            if (res > 0)
            {
                return new ApiResult();
            }
            return new ApiResult() { Message = "删除失败" };
        }

        public List<StationsDTO> GetAllStations()
        {
            var projects = _Client.Queryable<stations>().ToList();
            return _iMapper.Map<List<StationsDTO>>(projects);
        }


        public StationsDTO GetStations(int id)
        {
            stations station = _Client.Queryable<stations>().First(c => c.id == id);
            StationsDTO stationsDTO = _iMapper.Map<StationsDTO>(station);
            return stationsDTO;
        }

        public ApiResult UpdateStations(StationsDTO stationsDTO)
        {
            stations station = _iMapper.Map<stations> (stationsDTO);
            int res=  _Client.Updateable<stations>(station).ExecuteCommand();
            if(res > 0)
            {
                return new ApiResult();
            }
            return new ApiResult() { Message = "更新失败" };
        }
    }
}
